<?php /*
	This is the loop, which fetches entries from your database. It is used in some
	form on most of the K2 pages. Because of that, to make editing all of them easier,
	it has been placed in its own file, which is then included where needed.
*/ ?>
<a name="posts" href="#"></a>
<?php /* Initialize The Loop */ if (have_posts()) { $post = $posts[0]; // Hack. Set $post so that the_date() works. ?>

	<?php // Headlines for archives
	if ((!is_single() && !is_home() && !is_page()) or is_archive()) { ?>
			<h1 class="archiveTitle">
			<?php /* If this is a category archive */ if (is_category()) { ?>
			<?php _e('Artikel in der Kategorie', '4null4.de'); ?> '<?php echo single_cat_title(); ?>'

	 	  <?php /* If this is a daily archive */ } elseif (is_day()) { ?>
			<?php _e('Archiv vom', '4null4.de'); ?> <?php the_time('j. F Y'); ?>

		  <?php /* If this is a monthly archive */ } elseif (is_month()) { ?>
			<?php _e('Archiv im Monat', '4null4.de'); ?> <?php the_time('F Y'); ?>

			<?php /* If this is a yearly archive */ } elseif (is_year()) { ?>
			<?php _e('Archiv im Jahr', '4null4.de'); ?> <?php the_time('Y'); ?>

		  <?php /* If this is a search */ } elseif (is_search()) { ?>
			<?php _e('Suchergebnisse', '4null4.de'); ?>

		  <?php /* If this is an author archive */ } elseif (is_author()) { ?>
			<?php _e('Autoren-Archiv', '4null4.de'); ?>

		  <?php /* If this is an author archive */ } elseif ((function_exists('is_tag')) && (is_tag())) { ?>
			<?php _e('Tag-Archiv', '4null4.de'); ?>

			<?php /* If this is a paged archive */ } elseif (isset($_GET['paged']) && !empty($_GET['paged'])) { ?>
			<?php _e('Blog Archiv', '4null4.de'); ?>
			<?php } ?>
			</h1>
	<?php } // Archivtitles?>

	<?php
		/* Start The Loop */
		while (have_posts())
		{
			the_post();
			/* On archive pages, show asides inline in any case */
			if (is_archive() or is_search())
			{
				$bb_asidescheck = 'inline';
			} else {
				$bb_asidescheck = get_option('bb_asidespos');
			}
			$bb_asides = get_option('bb_asidescat');
			if (($bb_asides != '0') && (in_category($bb_asides) && ($bb_asidescheck == 'inline')))
			{
				$is_aside_post = true;
			} else {
				$is_aside_post = false;
			}
			if (!in_category($bb_asides) || ($is_aside_post && $bb_asidescheck == inline))
			{
		?>
		<div id="post-<?php the_ID(); ?>" class="<?php if(!is_single() && $is_aside_post) {echo 'asides';} else { echo 'chapter';} ?>">

		  <div class="chapterH1">
		  	<h1>
			  	<a href="<?php the_permalink() ?>" rel="bookmark"><?php the_title(); ?></a>
			  </h1>
				<?php edit_post_link('<img class="editLink" src="'.get_bloginfo(template_directory).'/images/pencil.gif" alt="Edit Link" />','<span class="editlink">','</span>'); ?>
		  </div>

      <div class="entry" id="e<?php the_ID(); ?>">
	
				<?php if (is_archive() or is_search()) {
					the_excerpt();
				} else { ?>
	        <?php the_content(__('Vollst&auml;ndigen Artikel lesen', '4null4.de').' &raquo;'); ?>
				<?php } ?>
        <?php link_pages('<p><strong>'.__('Seiten:', '4null4.de').'</strong> ', '</p>', 'number'); ?>
      </div>

			<span class="clear">&nbsp;</span>

      <div class="itemFooter">
        <span>
          <?php if(AUTHOR_AMOUNT > 1) { _e('Von', '4null4.de'); ?> <strong><?php the_author() ?></strong>,<?php } ?>
          <?php the_time('j. F Y, H:i') ?> <?php _e('Uhr', '4null4.de'); ?>
        </span>
      </div>

      <?php if (is_single()) { ?>
		    <?php if (function_exists('UTW_ShowTagsForCurrentPost')) { ?>
					<p><?php _e('Verwandte Artikel:', '4null4.de'); ?> <span class="taglist"><?php UTW_ShowTagsForCurrentPost('commalist') ?></span></p>
				<?php } ?>
			<?php } else {?>
				<?php if (function_exists('UTW_ShowTagsForCurrentPost') && get_option('bb_utwtechnoratitags') == 0) { ?>
					<p><?php _e('Technorati Tags:', '4null4.de'); ?> <span class="taglist"><?php UTW_ShowTagsForCurrentPost('technoraticommalist') ?></span></p>
				<?php } ?>
			<?php } ?>

			<?php if (is_single() && function_exists('wp_sociable')) { ?>
			  <p class="sociable"><?php _e('Quick-Bookmarks', '4null4.de'); ?>: 
			  <?php wp_sociable(); ?>
			  </p>
			<?php } ?>
			
      <?php if (!is_page()) { ?>
      <div class="commentFooter">
	      <?php if(!$is_aside_post || is_single()) { ?>
        <div class="leftFloat"><?php the_category(', ') ?></div>
  	  	<?php } ?>
        <div class="rightFloat">
        	<?php comments_popup_link(__('Senf ablassen', '4null4.de'), '1 '.__('Tube Senf', '4null4.de'), '% '.__('Tuben Senf', '4null4.de')); ?>
        	<?php if ($post->comment_count > 0 && !is_single() && !is_page()) { ?>
        	(<a class="inlineCommentsLink" href="<?php bloginfo(template_directory); ?>/single_comments.php?p=<?php the_ID(); ?>"><?php _e('Inline zeigen', '4null4.de'); ?></a>)
        	<?php } ?>
        </div>
      </div>
      <?php } ?>

      <?php if (is_single() || is_page()) { ?>

        <?php bb_paged_comments_template(); ?>

			<?php } else { ?>
				<div id="c<?php the_ID(); ?>" class="inlineCommentList" style="display: none;"></div>
			<?php } ?>
		</div>
		<div class="clear"></div>
	<?php
		}
	} /* End The Loop */

	include (TEMPLATEPATH . '/navigation.php'); /* Insert Paged Navigation */ ?>

<?php /* If there is nothing to loop */  } else { ?>
	<div class="chapter">
		<h1><?php _e('Hoppla, dies hier ist ein <strong>echter</strong> 4null4-Fehler!', '4null4.de'); ?></h1>
		<p class="center"><?php _e('Tut mir leid, aber was du hier suchst, gibt es hier nicht.', '4null4.de'); ?></p>

<?php include (TEMPLATEPATH . "/searchform.php"); ?>
	</div>

<?php if (function_exists('af_ela_super_archive')) { ?>

  <div class="chapter">
    <div class="entry" style="min-height: 500px;">

      <h1><span>Live Archives</span></h1>
      <p>Dies hier ist die sogenannte 'Live Archiv Recherche', mit der 'Ausgrabungen' im <?php bloginfo('name'); ?> Repository schnell und effizient vonstatten gehen,
      ohne etliche komplette Seiten im Browser laden zu m&uuml;ssen.</p>

      <div id="livearchives">
        <?php af_ela_super_archive('num_posts_by_cat=50&truncate_title_length=40&hide_pingbacks_and_trackbacks=1&num_entries=1&num_comments=1&number_text=<span>%</span>&comment_text=<span>%</span>&selected_text='.urlencode('')); ?>
        <div style="clear:both;">&nbsp;</div>
      </div>
		</div>
	</div>

<?php } ?>

<?php /* End Loop Init */ } ?>